{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large",
"title": "Content too large",
"status": 413,
"detail": "Uploaded document exceeds the file size limit",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#422-unprocessable-entity",
"title": "Unprocessable Entity",
"status": 422,
"detail": "The request was well-formed but could not be processed",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large",
"title": "Content too large",
"status": 413,
"detail": "Uploaded document exceeds the file size limit",
"instance": "/platform/jobs/{jobID}"
}
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#422-unprocessable-entity",
"title": "Unprocessable Entity",
"status": 422,
"detail": "The request was well-formed but could not be processed",
"instance": "/platform/jobs/{jobID}"
}
The Job Result endpoint returns the result of an asynchronous Conversion, Transformation, or Extraction job.The possible values of the status field are:
completed: The job completed successfully. The response includes the result: one or more file links for Conversion and Transformation jobs, a JSON payload for Extraction jobs, or a binary string.
failed: The job failed during processing. The response includes an error field describing the failure.
canceled: The job was canceled by the user.
If the job is still running, the endpoint returns a 404 Not Found response, as the result is not yet available.
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Accept
enum<string>
default:*/*
Controls response format and behavior. See endpoint description above for detailed response combinations.
application/json: Returns JSON response with operation result
The result is returned as data in the same format as the original request's synchronous response type.
Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Nitro APIs","colors":{"primary":"#D93706","light":"#FCAF9D","dark":"#D93706"},"logo":{"light":"https://www.gonitro.com/hubfs/Nitro_2025/logo-dark.svg","dark":"https://www.gonitro.com/hubfs/Nitro_2025/logo-light.svg","href":"https://www.gonitro.com/automate"},"favicon":"https://mintcdn.com/go-nitro/0xUomOly-LNhxK7b/favicon.ico?fit=max\u0026auto=format\u0026n=0xUomOly-LNhxK7b\u0026q=85\u0026s=646fb37e5970115d681bdd0d81ba8515","api":{"playground":{"display":"interactive"},"examples":{"defaults":"required"}},"navbar":{"links":[{"icon":"newspaper","href":"https://www.gonitro.com/resources?type=developer_blog","label":"Blog"},{"icon":"headset","href":"https://help.gonitro.com/support","label":"Support"},{"icon":"arrow-right-to-bracket","href":"https://sso.gonitro.com/login","label":"Log In"}],"primary":{"type":"button","label":"Get API access","href":"https://sso.gonitro.com/platform-trial-signup"}},"footer":{"socials":{"instagram":"https://www.instagram.com/gonitro","youtube":"https://www.youtube.com/c/nitrosoftware","linkedin":"https://www.linkedin.com/company/go-nitro","facebook":"https://www.facebook.com/nitrosoftware"}},"seo":{"metatags":{"google-site-verification":"qdnOUtxzQiObiPkJRHptxlmvIVydZCoH1KBdB21IP8o"}},"fonts":{"heading":{"family":"DM Sans"},"body":{"family":"IBM Plex Sans"}},"integrations":{"gtm":{"tagId":"GTM-WVZNLW"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"go-nitro","hasAudioNarration":false,"actualSubdomain":"go-nitro","customDomains":["developers.gonitro.com"],"gitSource":{"type":"github","owner":"nitro","repo":"public-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af5e069c24142980e6afaff","clientVersion":"0.0.4128","searchFilterCounts":[{"language":"default","tag":"API Reference","count":161},{"language":"default","tag":"Nitro PDF \u0026 Sign","count":103},{"language":"default","tag":"Nitro Sign Enterprise Verified","count":89},{"language":"default","tag":"NSEV WebPortal API","count":75},{"language":"default","tag":"Sign API","count":40},{"language":"default","tag":"PDF Services","count":37},{"language":"default","tag":"Packages","count":16},{"language":"default","tag":"Documents","count":14},{"language":"default","tag":"Transformations","count":13},{"language":"default","tag":"Guides","count":12}],"searchSettings":{"isFiltersEnabled":false}},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"html[data-current-path^=\"/nsev\"] a[href*=\"sso.gonitro.com\"],html[data-current-path^=\"/nsev\"] a[href*=\"contact-sales/early-access-automate\"]{display:none!important}"}],"page":{"pagePath":"api-reference/platform/jobs/result","slug":"/api-reference/platform/jobs/result","pageMetadata":{"title":"Job Results","description":"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.","summary":"Get async job result","openapi":"job GET /jobs/{jobID}","href":"/api-reference/platform/jobs/result"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,li:`li`,p:`p`,ul:`ul`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`The Job Result endpoint returns the result of an asynchronous Conversion, Transformation, or Extraction job.`}),`\n`,_jsx(_components.p,{children:`The possible values of the status field are:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`completed`}),`: The job completed successfully. The response includes the result: one or more file links for Conversion and Transformation jobs, a JSON payload for Extraction jobs, or a binary string.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`failed`}),`: The job failed during processing. The response includes an error field describing the failure.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`canceled`}),`: The job was canceled by the user.`]}),`\n`]}),`\n`,_jsx(_components.p,{children:`If the job is still running, the endpoint returns a 404 Not Found response, as the result is not yet available.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Job Results","description":"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.","summary":"Get async job result","openapi":"job GET /jobs/{jobID}","href":"/api-reference/platform/jobs/result"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Jobs"],"summary":"Get Job Result","description":"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.","parameters":["d82eb1a8-73cd-44e8-b973-9f7d04bf0f0c","3891995c-2bc5-4584-ba1f-d25f459346c9"],"responses":{"200":"e3d58071-b1b2-435f-9554-a0af2af1bd70","400":"28d59cd3-1b76-4a63-8188-0d11867417b7","401":"cfd529ad-c616-4fc2-9434-0e22381860ca","404":"6c0152e4-67ef-4fda-a7c3-218ea7abeb86","413":"9292b1cd-7e81-469e-a821-584bb80a1377","422":"229f12cf-f5e0-4995-9ff5-923bd28d6cb7","500":"385d7d90-671a-4ea9-aad0-4cc91a673963"},"security":["baf14076-4fde-4ade-97b0-8d685b6c6ec0"],"method":"get","type":"path","servers":["5d0eaa4f-71af-4671-99db-c10e19872843","18c12b8f-6537-4d4e-9078-cdc382b0e47e","6de926d0-55f1-4774-822e-f6ae2386f2e2"],"path":"/jobs/{jobID}","baseUrlOptions":["https://api.gonitro.dev","https://api.us.gonitro.dev","https://api.au.gonitro.dev"],"title":"Get Job Result","codeSamples":[],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"d82eb1a8-73cd-44e8-b973-9f7d04bf0f0c":{"name":"Accept","in":"header","schema":{"type":"string","enum":["application/json","application/octet-stream","*/*"],"default":"*/*","description":"Controls response format and behavior. See endpoint description above for detailed response combinations.\n- `application/json`: Returns JSON response with operation result\n- `application/octet-stream`: Returns binary file content \n- `*/*`: Defaults to JSON response","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"3891995c-2bc5-4584-ba1f-d25f459346c9":{"name":"jobID","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"The unique identifier of the job.","uniqueKey":"","typeLabel":"string"},"description":"The unique identifier of the job."}},"responses":{"e3d58071-b1b2-435f-9554-a0af2af1bd70":{"description":"Job result","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Completed","properties":{"jobID":{"type":"string","example":"01234567-89ab-cdef-0123-456789abcdef","uniqueKey":"oneOf.0.jobID","typeLabel":"string"},"status":{"type":"string","enum":["completed"],"uniqueKey":"oneOf.0.status","typeLabel":"enum\u003cstring>"},"result":{"oneOf":[{"type":"object","title":"Sync - Single File","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","properties":{"file":{"type":"object","properties":{"URL":{"oneOf":[{"type":"string","format":"uri","description":"URL with processed file for download. Field will be `null` if `delivery` parameter for post-processing upload is defined.","uniqueKey":"oneOf.0.result.oneOf.0.file.URL.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"URL with processed file for download. Field will be `null` if `delivery` parameter for post-processing upload is defined.","uniqueKey":"oneOf.0.result.oneOf.0.file.URL.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.0.file.URL","typeLabel":"string\u003curi> | null"},"contentType":{"type":"string","description":"The file type","example":"application/json","uniqueKey":"oneOf.0.result.oneOf.0.file.contentType","typeLabel":"string"},"metadata":{"type":"object","properties":{"fileSizeBytes":{"oneOf":[{"type":"number","uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.fileSizeBytes.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.fileSizeBytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.fileSizeBytes","typeLabel":"number | null"},"pageCount":{"oneOf":[{"type":"number","description":"Number of pages in resulting document.","uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.pageCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"Number of pages in resulting document.","uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.pageCount.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.0.file.metadata.pageCount","typeLabel":"number | null"}},"uniqueKey":"oneOf.0.result.oneOf.0.file.metadata","typeLabel":"object"}},"uniqueKey":"oneOf.0.result.oneOf.0.file","typeLabel":"object"}},"uniqueKey":"oneOf.0.result.oneOf.0","typeLabel":"Sync - Single File · object"},{"type":"object","title":"Sync - Multiple Files","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","properties":{"files":{"type":"array","items":{"type":"object","properties":{"URL":{"oneOf":[{"type":"string","format":"uri","description":"URL with processed file for download. Field will be `null` if `delivery` parameter for post-processing upload is defined.","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].URL.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"URL with processed file for download. Field will be `null` if `delivery` parameter for post-processing upload is defined.","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].URL.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].URL","typeLabel":"string\u003curi> | null"},"contentType":{"type":"string","description":"The file type","example":"application/json","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].contentType","typeLabel":"string"},"metadata":{"type":"object","properties":{"fileSizeBytes":{"oneOf":[{"type":"number","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.fileSizeBytes.oneOf.0","typeLabel":"number"},{"type":"null","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.fileSizeBytes.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.fileSizeBytes","typeLabel":"number | null"},"pageCount":{"oneOf":[{"type":"number","description":"Number of pages in resulting document.","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.pageCount.oneOf.0","typeLabel":"number"},{"type":"null","description":"Number of pages in resulting document.","uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.pageCount.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata.pageCount","typeLabel":"number | null"}},"uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX].metadata","typeLabel":"object"}},"uniqueKey":"oneOf.0.result.oneOf.1.files.items.[INDEX]","typeLabel":"object"},"uniqueKey":"oneOf.0.result.oneOf.1.files","typeLabel":"object[]"}},"uniqueKey":"oneOf.0.result.oneOf.1","typeLabel":"Sync - Multiple Files · object"},{"type":"string","title":"Text","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","uniqueKey":"oneOf.0.result.oneOf.2","typeLabel":"string"},{"type":"object","title":"Tables","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","required":["tables"],"properties":{"tables":{"type":"array","items":{"type":"object","properties":{"ID":{"type":"string","description":"Unique identifier for the extracted table","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].ID","typeLabel":"string"},"pageIndices":{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].pageIndices.items.[INDEX]","typeLabel":"integer"},"description":"Array of page indices where the table appears (0-based)","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].pageIndices","typeLabel":"integer[]"},"tableData":{"type":"object","properties":{"title":{"type":"string","description":"The title of the table (if available)","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.title","typeLabel":"string"},"cells":{"type":"array","items":{"type":"array","items":{"oneOf":[{"type":"string","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.cells.items.[INDEX].items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.cells.items.[INDEX].items.[INDEX].oneOf.1","typeLabel":"number"}],"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.cells.items.[INDEX].items.[INDEX]","typeLabel":"string | number"},"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.cells.items.[INDEX]","typeLabel":"(string | number)[]"},"description":"2D array representing table cell values. The first value index refers to the row, and the second the column.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.cells","typeLabel":"((string | number)[])[]"},"footers":{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.footers.items.[INDEX]","typeLabel":"string"},"description":"Array of footer text/notes for the table.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.footers","typeLabel":"string[]"},"confidences":{"type":"array","items":{"type":"array","items":{"type":"number","format":"float","minimum":0,"maximum":1,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.confidences.items.[INDEX].items.[INDEX]","typeLabel":"number\u003cfloat>"},"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.confidences.items.[INDEX]","typeLabel":"number\u003cfloat>[]"},"description":"2D array of confidence scores corresponding to each extracted cell.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.confidences","typeLabel":"number\u003cfloat>[][]"},"averageConfidence":{"type":"number","format":"float","minimum":0,"maximum":1,"description":"Average confidence score for the entire table.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.averageConfidence","typeLabel":"number\u003cfloat>"},"headerCells":{"type":"array","items":{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.headerCells.items.[INDEX].items.[INDEX]","typeLabel":"integer"},"minItems":2,"maxItems":2,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.headerCells.items.[INDEX]","typeLabel":"integer[]"},"description":"Array of [row, column] coordinates identifying header cells (1-based)","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.headerCells","typeLabel":"integer[][]"},"summaryCells":{"type":"array","items":{"type":"array","items":{"type":"integer","uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.summaryCells.items.[INDEX].items.[INDEX]","typeLabel":"integer"},"minItems":2,"maxItems":2,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.summaryCells.items.[INDEX]","typeLabel":"integer[]"},"description":"Array of [row, column] coordinates identifying summary cells (1-based)","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData.summaryCells","typeLabel":"integer[][]"}},"required":["title","cells","footers","confidences","averageConfidence","headerCells","summaryCells"],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX].tableData","typeLabel":"object"}},"required":["ID","pageIndices","tableData"],"uniqueKey":"oneOf.0.result.oneOf.3.tables.items.[INDEX]","typeLabel":"object"},"description":"Array of extracted tables from the document","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.3.tables","typeLabel":"object[]"}},"uniqueKey":"oneOf.0.result.oneOf.3","typeLabel":"Tables · object"},{"type":"object","title":"Text Boxes","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","required":["textBoxes"],"properties":{"textBoxes":{"type":"array","items":{"type":"object","properties":{"query":{"type":"object","properties":{"text":{"type":"string","description":"The text or regular expression to search for.","example":"John Doe","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].query.text","typeLabel":"string"},"isRegex":{"type":"boolean","default":false,"description":"Whether `text` should be treated as a regular expression.","uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].query.isRegex","typeLabel":"boolean"},"regexFlags":{"type":"array","uniqueItems":true,"items":{"type":"string","enum":["ignore-case","multiline","dot-all"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].query.regexFlags.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"Regex matching flags; only allowed when `isRegex` is `true`.","uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].query.regexFlags","typeLabel":"enum\u003cstring>[]"}},"required":["text"],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].query","typeLabel":"object"},"matches":{"type":"array","items":{"type":"object","properties":{"matchedText":{"type":"string","description":"The full matched text.","example":"Scope of Services","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].matchedText","typeLabel":"string"},"boxes":{"type":"array","items":{"type":"object","properties":{"pageIndex":{"type":"integer","description":"Page index where the text was found (0-based).","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes.items.[INDEX].pageIndex","typeLabel":"integer"},"boundingBox":{"type":"array","items":{"type":"number","uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes.items.[INDEX].boundingBox.items.[INDEX]","typeLabel":"number"},"minItems":4,"maxItems":4,"description":"Bounding box coordinates in points [x, y, width, height]. Check the [Bounding Box Guideline](/build-nitro/bounding-box).","example":[200,100,100,20],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes.items.[INDEX].boundingBox","typeLabel":"number[]"},"textPiece":{"type":"string","description":"The text covered by this box (a single line of the match).","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes.items.[INDEX].textPiece","typeLabel":"string"}},"required":["pageIndex","boundingBox","textPiece"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes.items.[INDEX]","typeLabel":"object"},"description":"The bounding boxes covering the match, one per line of text.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].boxes","typeLabel":"object[]"},"groups":{"type":"array","items":{"type":"object","properties":{"index":{"type":"integer","description":"One-based index of the capture group within the regular expression.","example":1,"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].index","typeLabel":"integer"},"text":{"type":"string","description":"The text captured by the group.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].text","typeLabel":"string"},"boxes":{"type":"array","items":{"type":"object","properties":{"pageIndex":{"type":"integer","description":"Page index where the text was found (0-based).","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes.items.[INDEX].pageIndex","typeLabel":"integer"},"boundingBox":{"type":"array","items":{"type":"number","uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes.items.[INDEX].boundingBox.items.[INDEX]","typeLabel":"number"},"minItems":4,"maxItems":4,"description":"Bounding box coordinates in points [x, y, width, height]. Check the [Bounding Box Guideline](/build-nitro/bounding-box).","example":[200,100,100,20],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes.items.[INDEX].boundingBox","typeLabel":"number[]"},"textPiece":{"type":"string","description":"The text covered by this box (a single line of the match).","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes.items.[INDEX].textPiece","typeLabel":"string"}},"required":["pageIndex","boundingBox","textPiece"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes.items.[INDEX]","typeLabel":"object"},"description":"The bounding boxes covering the group, one per line of text.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX].boxes","typeLabel":"object[]"}},"required":["index","text","boxes"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups.items.[INDEX]","typeLabel":"object"},"description":"For regex queries, the capture groups of the match. Empty for literal queries.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX].groups","typeLabel":"object[]"}},"required":["matchedText","boxes","groups"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches.items.[INDEX]","typeLabel":"object"},"description":"All matches found for the query, empty if the query did not match.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX].matches","typeLabel":"object[]"}},"required":["query","matches"],"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes.items.[INDEX]","typeLabel":"object"},"description":"One result per query, in the same order as the request's `queries`.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.4.textBoxes","typeLabel":"object[]"}},"uniqueKey":"oneOf.0.result.oneOf.4","typeLabel":"Text Boxes · object"},{"type":"object","title":"PII Boxes","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","required":["PIIBoxes"],"properties":{"PIIBoxes":{"type":"array","items":{"type":"object","properties":{"ID":{"type":"string","description":"A unique identifier for a PII detection group. Multiple individual PII entries can share the same ID, indicating they belong to the same group or type of PII.","example":"ccc05519-e71c-4226-bbff-72df3fb2d442","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].ID","typeLabel":"string"},"text":{"type":"string","description":"The complete text block that contains PII. For instance, the full text of an address spanning multiple content boxes.","example":"10 Wall Street, NY 03183","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].text","typeLabel":"string"},"textPiece":{"type":"string","description":"The specific piece of text identified as PII inside a box.","example":"10 Wall Street","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].textPiece","typeLabel":"string"},"pageIndex":{"type":"integer","description":"Page index where the PII was found (0-based).","example":0,"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].pageIndex","typeLabel":"integer"},"boundingBox":{"type":"array","items":{"type":"number","uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].boundingBox.items.[INDEX]","typeLabel":"number"},"minItems":4,"maxItems":4,"description":"Bounding box coordinates in points [x, y, width, height]. Check the [Bounding Box Guideline](/build-nitro/bounding-box).","example":[200,100,100,20],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].boundingBox","typeLabel":"number[]"},"PIIType":{"type":"string","description":"Type of PII detected","enum":["ADDRESS","AGE","AWS_ACCESS_KEY","AWS_SECRET_KEY","CREDIT_DEBIT_CVV","CREDIT_DEBIT_EXPIRY","CREDIT_DEBIT_NUMBER","DATE_TIME","DRIVER_ID","EMAIL","INTERNATIONAL_BANK_ACCOUNT_NUMBER","IP_ADDRESS","LICENSE_PLATE","MAC_ADDRESS","NAME","PASSWORD","PHONE","PIN","SWIFT_CODE","URL","USERNAME","VEHICLE_IDENTIFICATION_NUMBER","CA_HEALTH_NUMBER","CA_SOCIAL_INSURANCE_NUMBER","IN_AADHAAR","IN_NREGA","IN_PERMANENT_ACCOUNT_NUMBER","IN_VOTER_NUMBER","UK_NATIONAL_HEALTH_SERVICE_NUMBER","UK_NATIONAL_INSURANCE_NUMBER","UK_UNIQUE_TAXPAYER_REFERENCE_NUMBER","BANK_ACCOUNT_NUMBER","BANK_ROUTING","PASSPORT_NUMBER","US_INDIVIDUAL_TAX_IDENTIFICATION_NUMBER","SSN"],"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].PIIType","typeLabel":"enum\u003cstring>"},"confidence":{"type":"number","format":"float","minimum":0,"maximum":1,"description":"Confidence score for the PII detection.","example":0.94,"isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX].confidence","typeLabel":"number\u003cfloat>"}},"required":["ID","text","textPiece","pageIndex","boundingBox","PIIType","confidence"],"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes.items.[INDEX]","typeLabel":"object"},"description":"Array of detected PII bounding boxes","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.5.PIIBoxes","typeLabel":"object[]"}},"uniqueKey":"oneOf.0.result.oneOf.5","typeLabel":"PII Boxes · object"},{"type":"object","title":"Properties","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","required":["title","author","subject","keywords","creator","producer","creationDate","modDate","trapped","pageCount"],"properties":{"title":{"type":"string","description":"The document's title","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.title","typeLabel":"string"},"author":{"type":"string","description":"The document's author","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.author","typeLabel":"string"},"subject":{"type":"string","description":"The document's subject","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.subject","typeLabel":"string"},"keywords":{"type":"string","description":"Document keywords","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.keywords","typeLabel":"string"},"creator":{"type":"string","description":"The document's creator/application","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.creator","typeLabel":"string"},"producer":{"type":"string","description":"PDF document's producer or encoding software","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.producer","typeLabel":"string"},"creationDate":{"type":"string","description":"Document creation date in PDF date format","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.creationDate","typeLabel":"string"},"modDate":{"type":"string","description":"Document modification date in PDF date format","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.modDate","typeLabel":"string"},"trapped":{"type":"string","description":"PDF trapped status","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.trapped","typeLabel":"string"},"pageCount":{"type":"integer","description":"Total number of pages in the document","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.6.pageCount","typeLabel":"integer"}},"uniqueKey":"oneOf.0.result.oneOf.6","typeLabel":"Properties · object"},{"type":"object","title":"Form Fields","description":"The result is returned as data in the same format as the original request's synchronous response type. \n Transformations and Conversions return one or more files, while Extractions return a JSON object containing the requested data.","required":["fields","averageConfidence"],"properties":{"fields":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","description":"The name of the form field.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.7.fields.items.[INDEX].name","typeLabel":"string"},"value":{"type":"string","description":"The extracted value of the form field.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.7.fields.items.[INDEX].value","typeLabel":"string"},"confidence":{"type":"number","format":"float","minimum":0,"maximum":100,"example":97.65,"description":"Confidence score for the form field extraction.","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.7.fields.items.[INDEX].confidence","typeLabel":"number\u003cfloat>"}},"required":["name","value","confidence"],"uniqueKey":"oneOf.0.result.oneOf.7.fields.items.[INDEX]","typeLabel":"object"},"description":"Array of extracted form fields from the document","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.7.fields","typeLabel":"object[]"},"averageConfidence":{"type":"number","format":"float","minimum":0,"maximum":100,"example":96.5,"description":"Average confidence score for all form fields","isRequired":true,"uniqueKey":"oneOf.0.result.oneOf.7.averageConfidence","typeLabel":"number\u003cfloat>"}},"uniqueKey":"oneOf.0.result.oneOf.7","typeLabel":"Form Fields · object"}],"uniqueKey":"oneOf.0.result","typeLabel":"Sync - Single File · object | Sync - Multiple Files · object | string | Tables · object | Text Boxes · object | PII Boxes · object | Properties · object | Form Fields · object"}},"uniqueKey":"oneOf.0","typeLabel":"Completed · object"},{"type":"object","title":"Failed","properties":{"jobID":{"type":"string","example":"01234567-89ab-cdef-0123-456789abcdef","uniqueKey":"oneOf.1.jobID","typeLabel":"string"},"status":{"type":"string","enum":["failed"],"uniqueKey":"oneOf.1.status","typeLabel":"enum\u003cstring>"},"error":{"type":"object","description":"Error information if the job failed.","properties":{"type":{"type":"string","example":"PDFIsPasswordProtected","enum":["BrokenDownloadURL","ConversionFailed","PDFIsPasswordProtected"],"uniqueKey":"oneOf.1.error.type","typeLabel":"enum\u003cstring>"},"title":{"type":"string","example":"PDF is password protected","uniqueKey":"oneOf.1.error.title","typeLabel":"string"}},"uniqueKey":"oneOf.1.error","typeLabel":"object"}},"uniqueKey":"oneOf.1","typeLabel":"Failed · object"},{"type":"object","title":"Canceled","properties":{"jobID":{"type":"string","example":"01234567-89ab-cdef-0123-456789abcdef","uniqueKey":"oneOf.2.jobID","typeLabel":"string"},"status":{"type":"string","enum":["canceled"],"uniqueKey":"oneOf.2.status","typeLabel":"enum\u003cstring>"}},"uniqueKey":"oneOf.2","typeLabel":"Canceled · object"}],"uniqueKey":"","typeLabel":"Completed · object | Failed · object | Canceled · object"},"examples":{"Example":{"title":"Example","value":{"jobID":"01234567-89ab-cdef-0123-456789abcdef","status":"completed","result":{"file":{"URL":"\u003cstring>","contentType":"application/json","metadata":{"fileSizeBytes":123,"pageCount":123}}}}}},"exampleType":"generated"}},"exampleType":"generated"},"28d59cd3-1b76-4a63-8188-0d11867417b7":{"description":"Bad Request - Invalid request parameters","content":{"application/problem+json":{"schema":{"type":"object","description":"Bad Request error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request","title":"Bad Request","status":400,"detail":"Request validation failed","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#400-bad-request","title":"Bad Request","status":400,"detail":"Request validation failed","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"},"cfd529ad-c616-4fc2-9434-0e22381860ca":{"description":"Unauthorized - Invalid or missing Authorization header","content":{"application/problem+json":{"schema":{"type":"object","description":"Unauthorized error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized","title":"Unauthorized","status":401,"detail":"Missing or invalid Authorization header","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized","title":"Unauthorized","status":401,"detail":"Missing or invalid Authorization header","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"},"6c0152e4-67ef-4fda-a7c3-218ea7abeb86":{"description":"Not Found - Resource not found","content":{"application/problem+json":{"schema":{"type":"object","description":"Not Found error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#404-not-found","title":"Not Found","status":404,"detail":"Resource not found","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#404-not-found","title":"Not Found","status":404,"detail":"Resource not found","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"},"9292b1cd-7e81-469e-a821-584bb80a1377":{"description":"Content Too Large - File size exceeds limit","content":{"application/problem+json":{"schema":{"type":"object","description":"Content too large error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large","title":"Content too large","status":413,"detail":"Uploaded document exceeds the file size limit","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#413-content-too-large","title":"Content too large","status":413,"detail":"Uploaded document exceeds the file size limit","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"},"229f12cf-f5e0-4995-9ff5-923bd28d6cb7":{"description":"Unprocessable Entity - Request cannot be processed","content":{"application/problem+json":{"schema":{"type":"object","description":"Unprocessable Entity error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#422-unprocessable-entity","title":"Unprocessable Entity","status":422,"detail":"The request was well-formed but could not be processed","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#422-unprocessable-entity","title":"Unprocessable Entity","status":422,"detail":"The request was well-formed but could not be processed","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"},"385d7d90-671a-4ea9-aad0-4cc91a673963":{"description":"Internal Server Error - An unexpected error occurred","content":{"application/problem+json":{"schema":{"type":"object","description":"Internal Server Error details","example":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#500-internal-server-error","title":"Internal Server Error","status":500,"detail":"An unexpected error occurred","instance":"/platform/jobs/{jobID}"},"properties":{"type":{"type":"string","description":"A URI reference that identifies the problem type","uniqueKey":"type","typeLabel":"string"},"title":{"type":"string","description":"A short, human-readable summary of the problem type","uniqueKey":"title","typeLabel":"string"},"status":{"type":"integer","format":"int32","description":"The HTTP status code","uniqueKey":"status","typeLabel":"integer\u003cint32>"},"detail":{"type":"string","description":"A human-readable explanation specific to this occurrence","uniqueKey":"detail","typeLabel":"string"},"instance":{"type":"string","description":"A URI reference that identifies the specific occurrence","uniqueKey":"instance","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"type":"https://developers.gonitro.com/docs/build-nitro/errors#500-internal-server-error","title":"Internal Server Error","status":500,"detail":"An unexpected error occurred","instance":"/platform/jobs/{jobID}"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"baf14076-4fde-4ade-97b0-8d685b6c6ec0":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"5d0eaa4f-71af-4671-99db-c10e19872843":{"url":"https://api.gonitro.dev","description":"Europe"},"18c12b8f-6537-4d4e-9078-cdc382b0e47e":{"url":"https://api.us.gonitro.dev","description":"North America"},"6de926d0-55f1-4774-822e-f6ae2386f2e2":{"url":"https://api.au.gonitro.dev","description":"Australia"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"api-reference/platform/output/job.json"},"subdomain":"go-nitro","siteName":"Nitro APIs","title":"Job Results - Nitro APIs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-01T22:06:24.061Z","originalFileLocation":"api-reference/platform/jobs/result.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Nitro APIs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Job Results - Nitro APIs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Nitro APIs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://go-nitro.mintlify.site/docs/_mintlify/api/og/v2?division=Jobs\u0026amp;title=Job+Results\u0026amp;description=Retrieve+the+result+of+a+completed+asynchronous+Nitro+API+conversion%2C+transformation%2C+or+extraction+job.\u0026amp;theme=15424dbe3b3c699dcf498f64\u0026amp;signature=3904e5f25c2bec12b7b08db78e6f5204e7e2a9238a66c4ebc24146d15ab77eda\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Job Results - Nitro APIs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://go-nitro.mintlify.site/docs/_mintlify/api/og/v2?division=Jobs\u0026amp;title=Job+Results\u0026amp;description=Retrieve+the+result+of+a+completed+asynchronous+Nitro+API+conversion%2C+transformation%2C+or+extraction+job.\u0026amp;theme=15424dbe3b3c699dcf498f64\u0026amp;signature=3904e5f25c2bec12b7b08db78e6f5204e7e2a9238a66c4ebc24146d15ab77eda\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/go-nitro/zmdJVHCbyTDP-GYA/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Nitro APIs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#D93706\">\u003cmeta data-mint-head name=\"google-site-verification\" content=\"qdnOUtxzQiObiPkJRHptxlmvIVydZCoH1KBdB21IP8o\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/platform/jobs/result.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.gonitro.com/#organization\",\"name\":\"Nitro APIs\",\"url\":\"https://developers.gonitro.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://www.gonitro.com/hubfs/Nitro_2025/logo-dark.svg\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.gonitro.com/docs#website\",\"name\":\"Nitro APIs\",\"url\":\"https://developers.gonitro.com/docs\",\"publisher\":{\"@id\":\"https://developers.gonitro.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result#webpage\",\"url\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result\",\"name\":\"Job Results\",\"description\":\"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\",\"dateModified\":\"2026-07-01T22:06:24.061Z\",\"isPartOf\":{\"@id\":\"https://developers.gonitro.com/docs#website\"},\"breadcrumb\":{\"@id\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"PDF Services\",\"item\":\"https://developers.gonitro.com/docs/build-nitro/optimize-pdf\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Jobs\",\"item\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/status\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Job Results\",\"item\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result#apireference\",\"headline\":\"Job Results\",\"name\":\"Job Results\",\"description\":\"Retrieve the result of a completed asynchronous Nitro API conversion, transformation, or extraction job.\",\"url\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result\",\"mainEntityOfPage\":{\"@id\":\"https://developers.gonitro.com/docs/api-reference/platform/jobs/result#webpage\"},\"dateModified\":\"2026-07-01T22:06:24.061Z\",\"publisher\":{\"@id\":\"https://developers.gonitro.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.gonitro.com/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Nitro APIs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Nitro APIs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api-reference/platform/jobs/result.md","siteName":"Nitro APIs","nav":{"global":{"anchors":[{"anchor":"Home","icon":"house","href":"/"}]},"products":[{"product":"Nitro PDF \u0026 Sign","icon":"file-signature","tabs":[{"tab":"API Reference","groups":[{"group":"Start Here","icon":"rocket","pages":[{"title":"Access the Nitro APIs","href":"/getting-started/basic-setup"},{"title":"Get API Credentials","href":"/authentication/credentials"},{"title":"Generate Access Tokens","href":"/authentication/token-renew"},{"group":"Authentication API","icon":"shield","pages":[{"title":"Get Access Token","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /oauth/token","href":"/api-reference/authentication/get-access-token"}]}]},{"group":"PDF Services","icon":"file-pdf","pages":[{"group":"Guides","expanded":false,"pages":[{"title":"Optimize PDF Tutorial","href":"/build-nitro/optimize-pdf"},{"title":"Callbacks","href":"/build-nitro/pdf-services-callbacks"},{"title":"Bounding Box Guide","href":"/build-nitro/bounding-box"},{"title":"PDF Services Postman Collection","href":"/build-nitro/pdf-services-postman-collection"}]},{"group":"Transformations","icon":"wand-magic-sparkles","expanded":false,"pages":[{"title":"OCR","openapi":"ocr POST /transformations","href":"/api-reference/platform/transformations/ocr"},{"title":"Optimize","openapi":"optimize POST /transformations","href":"/api-reference/platform/transformations/optimize"},{"title":"Compress","openapi":"compress POST /transformations","href":"/api-reference/platform/transformations/compress"},{"title":"Watermark","openapi":"watermark POST /transformations","href":"/api-reference/platform/transformations/watermark"},{"title":"Redact","openapi":"redact POST /transformations","href":"/api-reference/platform/transformations/redact"},{"title":"Merge","openapi":"merge POST /transformations","href":"/api-reference/platform/transformations/merge"},{"title":"Split","openapi":"split POST /transformations","href":"/api-reference/platform/transformations/split"},{"title":"Flatten","openapi":"flatten POST /transformations","href":"/api-reference/platform/transformations/flatten"},{"title":"Rotate","sidebarTitle":"Rotate","openapi":"rotate POST /transformations","href":"/api-reference/platform/transformations/rotate"},{"title":"Delete Pages","openapi":"delete POST /transformations","href":"/api-reference/platform/transformations/delete"},{"title":"Protect","openapi":"protect POST /transformations","href":"/api-reference/platform/transformations/protect"},{"title":"Unprotect","openapi":"unprotect POST /transformations","href":"/api-reference/platform/transformations/unprotect"},{"title":"Set Properties","openapi":"set-properties POST /transformations","href":"/api-reference/platform/transformations/properties"}]},{"group":"Extractions","icon":"file-export","expanded":false,"pages":[{"title":"Text","openapi":"extract-text POST /extractions","href":"/api-reference/platform/extractions/text"},{"title":"Forms","openapi":"forms POST /extractions","href":"/api-reference/platform/extractions/forms"},{"title":"Extract Fillable Form Data","openapi":"extract-fillable-form-data POST /extractions","href":"/api-reference/platform/extractions/extract-fillable-form-data"},{"title":"Smart Detect Form Fields","openapi":"smart-detect-form-fields POST /extractions","href":"/api-reference/platform/extractions/smart-detect-form-fields"},{"title":"Tables","openapi":"tables POST /extractions","href":"/api-reference/platform/extractions/tables"},{"title":"PII Bounding Boxes","openapi":"pii POST /extractions","href":"/api-reference/platform/extractions/pii"},{"title":"Text Bounding Boxes","openapi":"text-box POST /extractions","href":"/api-reference/platform/extractions/text-box"},{"title":"Properties","openapi":"get-properties POST /extractions","href":"/api-reference/platform/extractions/properties"},{"title":"Invoices","openapi":"extract-invoices POST /extractions","href":"/api-reference/platform/extractions/extract-invoices"}]},{"group":"Generations","icon":"file-circle-plus","expanded":false,"pages":[{"title":"Fill Forms","openapi":"fill-forms POST /generations","href":"/api-reference/platform/generations/fill-forms"},{"title":"Create Fillable Forms","openapi":"create-fillable-forms POST /generations","href":"/api-reference/platform/generations/create-fillable-forms"}]},{"group":"Conversions","icon":"arrows-rotate","expanded":false,"pages":[{"title":"PDF to MS Office","openapi":"pdftoms POST /conversions","href":"/api-reference/platform/conversions/pdftoms"},{"title":"MS Office to PDF","openapi":"mstopdf POST /conversions","href":"/api-reference/platform/conversions/mstopdf"},{"title":"PDF to Image","openapi":"pdftoimg POST /conversions","href":"/api-reference/platform/conversions/pdftoimg"},{"title":"Image to PDF","openapi":"imgtopdf POST /conversions","href":"/api-reference/platform/conversions/imgtopdf"},{"title":"Miscellaneous to PDF","openapi":"misctopdf POST /conversions","href":"/api-reference/platform/conversions/misctopdf"},{"title":"PDF to PDF/A","openapi":"pdfa POST /conversions","href":"/api-reference/platform/conversions/pdfa"}]},{"group":"Jobs","icon":"wrench","expanded":false,"pages":[{"title":"Job Status","description":"Retrieve the current status of an asynchronous Nitro API conversion, transformation, or extraction job.","openapi":"job GET /jobs/{jobID}/status","href":"/api-reference/platform/jobs/status"},{"title":"Job Results","openapi":"job GET /jobs/{jobID}","href":"/api-reference/platform/jobs/result"}]},{"group":"Presigned URLs","icon":"link","expanded":false,"pages":[{"title":"Request Presigned File URLs","description":"Generate presigned upload and download URL pairs to transfer large files directly to storage, bypassing the standard multipart request size limit.","openapi":"presigned-file-urls POST /presigned-file-urls","href":"/api-reference/platform/presigned-urls/request"}]}]},{"group":"Sign API","icon":"signature","pages":[{"group":"Guides","expanded":false,"pages":[{"title":"Make your first 'Get Envelopes' API call","href":"/getting-started/first-sign-api-call"},{"title":"Create Envelope Tutorial","href":"/build-nitro/create-envelope"},{"title":"Webhooks","href":"/build-nitro/sign-webhooks"},{"title":"Sign Postman Collection","href":"/build-nitro/sign-postman-collection"}]},{"group":"Envelopes","icon":"envelope","expanded":false,"pages":[{"title":"List Envelopes","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes","href":"/api-reference/sign/list-envelopes"},{"title":"Get Envelope by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}","href":"/api-reference/sign/get-envelope-by-id"},{"title":"Delete Envelope by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json delete /sign/envelopes/{envelopeID}","href":"/api-reference/sign/delete-envelope-by-id"},{"title":"Update Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}","href":"/api-reference/sign/update-envelope"},{"title":"Create Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes","href":"/api-reference/sign/create-envelope"},{"title":"Cancel Envelope by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json put /sign/envelopes/{envelopeID}:cancel","href":"/api-reference/sign/cancel-envelope-by-id"},{"title":"Send Envelope for Signing","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}:send-for-signing","href":"/api-reference/sign/send-envelope-for-signing"},{"title":"Send Reminders for Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}:send-reminders","href":"/api-reference/sign/send-reminders-for-envelope"},{"title":"Download Sealed Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}:download-sealed","href":"/api-reference/sign/download-sealed-envelope"},{"title":"Download Original Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}:download-original","href":"/api-reference/sign/download-original-envelope"},{"title":"Download Audit Trail of Envelope","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}:download-audit-trail","href":"/api-reference/sign/download-audit-trail-of-envelope"}]},{"group":"Documents","icon":"file-pdf","expanded":false,"pages":[{"title":"List Documents by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/documents","href":"/api-reference/sign/list-documents-by-envelope-id"},{"title":"Create Document by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}/documents","href":"/api-reference/sign/create-document-by-envelope-id"},{"title":"Reorder Documents by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json put /sign/envelopes/{envelopeID}/documents:reorder","href":"/api-reference/sign/reorder-documents-by-envelope-id"},{"title":"Get Document by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/documents/{documentID}","href":"/api-reference/sign/get-document-by-id"},{"title":"Delete Document by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json delete /sign/envelopes/{envelopeID}/documents/{documentID}","href":"/api-reference/sign/delete-document-by-id"},{"title":"Update Document by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}/documents/{documentID}","href":"/api-reference/sign/update-document-by-id"},{"title":"Download Sealed Document by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/documents/{documentID}:download-sealed","href":"/api-reference/sign/download-sealed-document-by-id"}]},{"group":"Fields","icon":"signature","expanded":false,"pages":[{"title":"Create Field(s) by Document ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}/documents/{documentID}/fields","href":"/api-reference/sign/create-fields-by-document-id"},{"title":"List Fields by Document ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/documents/{documentID}/fields","href":"/api-reference/sign/list-fields-by-document-id"},{"title":"Delete Field by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json delete /sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}","href":"/api-reference/sign/delete-field-by-id"},{"title":"Delete Fields by Field IDs","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}/documents/{documentID}/fields:batch-delete","href":"/api-reference/sign/delete-fields-by-field-ids"},{"title":"Update Field by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}/documents/{documentID}/fields/{fieldID}","href":"/api-reference/sign/update-field-by-id"}]},{"group":"Participants","icon":"users","expanded":false,"pages":[{"title":"Delete Participant by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json delete /sign/envelopes/{envelopeID}/participants/{participantID}","href":"/api-reference/sign/delete-participant-by-id"},{"title":"List Participants by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/participants","href":"/api-reference/sign/list-participants-by-envelope-id"},{"title":"List Participant Signing URLs by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /sign/envelopes/{envelopeID}/participants/signing-urls","href":"/api-reference/sign/list-participant-signing-urls-by-envelope-id"},{"title":"Create Participant(s) by Envelope ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}/participants","href":"/api-reference/sign/create-participants-by-envelope-id"},{"title":"Delete Participants by Participant IDs","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /sign/envelopes/{envelopeID}/participants:batch-delete","href":"/api-reference/sign/delete-participants-by-participant-ids"},{"title":"Update Participant by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json patch /sign/envelopes/{envelopeID}/participants/{participantID}","href":"/api-reference/sign/update-participant-by-id"}]},{"group":"Webhook configs","icon":"bolt","expanded":false,"pages":[{"title":"List webhook configs for the authenticated application","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /webhooks/configs","href":"/api-reference/webhooks/list-webhook-configs-for-the-authenticated-application"},{"title":"Create webhook config","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /webhooks/configs","href":"/api-reference/webhooks/create-webhook-config"},{"title":"Get webhook config by ID","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /webhooks/configs/{id}","href":"/api-reference/webhooks/get-webhook-config-by-id"},{"title":"Update webhook config","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json patch /webhooks/configs/{id}","href":"/api-reference/webhooks/update-webhook-config"},{"title":"Delete webhook config","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json delete /webhooks/configs/{id}","href":"/api-reference/webhooks/delete-webhook-config"},{"title":"Send a test event to a webhook endpoint","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json post /webhooks/configs/test","href":"/api-reference/webhooks/send-a-test-event-to-a-webhook-endpoint"},{"title":"List supported webhook event types","deprecated":null,"version":null,"openapi":"https://api.gonitro.dev/openapi.json get /webhooks/configs/event-types","href":"/api-reference/webhooks/list-supported-webhook-event-types"}]}]},{"group":"Reference","icon":"book","pages":[{"title":"Good Development Practices","href":"/build-nitro/good-practices"},{"title":"API Error Codes","href":"/build-nitro/errors"},{"title":"Rotate Credentials","href":"/authentication/credential-rotation"},{"title":"Changelog","href":"/api-reference/changelog"}]}]},{"tab":"Power Automate","icon":"microsoft","pages":[{"title":"Power Automate","href":"/integrations/power-automate/overview"}]},{"tab":"Zapier","icon":"bolt","pages":[{"title":"Zapier","href":"/integrations/zapier/overview"}]},{"tab":"MCP","icon":"plug","hidden":true,"pages":[{"title":"MCP","href":"/integrations/mcp/overview"}]},{"tab":"Automate Workflows","icon":"diagram-project","hidden":true,"pages":[{"title":"Automate Workflows","href":"/integrations/automate-workflows/overview"}]}]},{"product":"Nitro Sign Enterprise Verified","icon":"badge-check","pages":[{"title":"Nitro Sign Enterprise Verified","href":"/nsev/getting-started/overview"}]}]},"basePath":"","title":"Job Results - Nitro APIs","buildId":"dpl_4UDxC3erAcBDHX8QT9FjyxxnLZSQ","deploymentId":"dpl_4UDxC3erAcBDHX8QT9FjyxxnLZSQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CpJ44y6j.js","utils-DRi8JwoB.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D6b6ny2H.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CgBjVdxd.js","snippetPresets-u4Are-mZ.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-DTFiS5AN.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DuAEpWYt.js","shallow-BzqLj4xC.js","getApiPlaygroundDisplay-CKb7GIdu.js","CodeSnippet-BaOQDoQh.js","CodeSnippets-CNRiM0PE.js","Page-BlovTRO5.js","getPastedJson-qjrnOjTO.js","icon-Dt4VFpdV.js","MethodPill-c-UgMFw3.js","DuplicateIcon-BRwru6S6.js","createIcon-DBGdUgXw.js","DynamicMarkdown-B7gJlzwx.js","SectionHeading-CCarmMPF.js","axios-vUo_bRtp.js","Markdown-DCI2IZwJ.js","clsx-Chpd8_tJ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdcB7h9h.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-D4Q3xuF7.js"]}